%define upstream_name    Error
%define upstream_version 0.17021

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Error/exception handling in an OO-ish way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Error package provides two interfaces. Firstly Error
provides a procedural interface to exception handling.
Secondly Error is a base class for errors/exceptions that
can either be thrown, for subsequent catch, or can simply
be recorded.
Errors in the class Error should not be thrown directly,
but the user should throw errors from a sub-class of Error.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Error
%{perl_vendorlib}/Error.pm
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.170.210-2.mga4
+ Revision: 533370
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 1:0.170.210-1.mga4
+ Revision: 472704
- update to 0.17021

* Sun Jun 02 2013 kharec <kharec> 1:0.170.200-1.mga4
+ Revision: 434991
- update to 0.17020

* Sun Jan 13 2013 umeabot <umeabot> 1:0.170.190-2.mga3
+ Revision: 366887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:0.170.190-1.mga3
+ Revision: 342150
- update to 0.17019

* Tue Jun 05 2012 kharec <kharec> 1:0.170.180-1.mga3
+ Revision: 254554
- update to 0.17018

* Thu Feb 23 2012 jquelin <jquelin> 1:0.170.170-1.mga2
+ Revision: 212857
- update to 0.17017

* Thu Jan 20 2011 jquelin <jquelin> 1:0.170.160-1.mga1
+ Revision: 26099
- mageia rebuild
- imported package perl-Error

